#!/bin/bash

# Boot the emulated system to a shell prompt.

ARCH=sh4
run_emulator()
{
  [ ! -z "$DEBUG" ] && set -x
  qemu-system-sh4 -M r2d -nographic -no-reboot -kernel linux -initrd rootfs.cpio.gz -append "panic=1 console=ttySC1 noiotrap HOST=sh4 $KERNEL_EXTRA" $QEMU_EXTRA -monitor null -serial null -serial stdio
}

if [ "$1" != "--norun" ]
then
  run_emulator
fi
